<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Module kutils</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>
<h1>kutils Module</h1>
<hr><p><h2>Some random bits and pieces </h2>
</p>
<p>
Some utility classes for KSettings, KCModule and KPlugin.
</p>
<p>

<dl compact><dt><b>Author(s):</b></dt><dd>
Matthias Kretz &lt;kretz@kde.org&gt;<br>
Rafael Fernández López &lt;ereslibre@kde.org&gt;<br>
Matthias Elter &lt;elter@kde.org&gt;<br>
Daniel Molkentin &lt;molkentin@kde.org&gt;<br>
Frans Englich &lt;frans.englich@telia.com&gt;<br>
Tobias Koenig &lt;tokoe@kde.org&gt;<br>
Matthias Hoelzer-Kluepfel &lt;hoelzer@kde.org&gt;
</dd></dl> </p>
<p>

<dl compact><dt><b>Maintainer(s):</b></dt><dd>
[Unknown/None]
</dd></dl> </p>
<p>

<dl compact><dt><b>License(s):</b></dt><dd>
<a href="http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html#SEC1">LGPLv2</a>
</dd></dl>
</p><h2>Namespaces</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_C">&nbsp;&nbsp;C&nbsp;&nbsp;</a></td><td><a class="el" href="global.html"><i>global</i></a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSettings.Dispatcher.html">KSettings.Dispatcher</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCModuleLoader.html">KCModuleLoader</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td><td></td></tr>
<tr><td><a name="letter_G">&nbsp;&nbsp;G&nbsp;&nbsp;</a></td><td><a class="el" href="KSettings.html">KSettings</a>&nbsp;&nbsp;&nbsp;</td><td></td></tr>
</table>
<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_C">&nbsp;&nbsp;C&nbsp;&nbsp;</a></td><td><a name="letter_E">&nbsp;&nbsp;E&nbsp;&nbsp;</a></td><td><a class="el" href="KSettings.PluginPage.html">PluginPage</a>&nbsp;(<a class="el" href="KSettings.html">KSettings</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCModuleInfo.html">KCModuleInfo</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KEmoticonsProvider.Emoticon.html">Emoticon</a>&nbsp;(<a class="el" href="KEmoticonsProvider.html">KEmoticonsProvider</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPluginSelector.html">KPluginSelector</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCModuleProxy.html">KCModuleProxy</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KEmoticons.html">KEmoticons</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPrintPreview.html">KPrintPreview</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCMultiDialog.html">KCMultiDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KEmoticonsProvider.html">KEmoticonsProvider</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_T">&nbsp;&nbsp;T&nbsp;&nbsp;</a></td></tr>
<tr><td><a name="letter_D">&nbsp;&nbsp;D&nbsp;&nbsp;</a></td><td><a class="el" href="KEmoticonsTheme.html">KEmoticonsTheme</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KEmoticonsTheme.Token.html">Token</a>&nbsp;(<a class="el" href="KEmoticonsTheme.html">KEmoticonsTheme</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KSettings.Dialog.html">Dialog</a>&nbsp;(<a class="el" href="KSettings.html">KSettings</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td></td></tr>
</table>

</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
